import axios from 'axios';
import type {
  SchoolItem,
  ScanLogParams,
  ScanLogRes,
  AdminRoleItem,
} from './types/admin';

export function schoolList(): Promise<SchoolItem[]> {
  return axios.post('/api/admin/common/school/list', {});
}

// role-manage
export function adminRoleListPage(): Promise<AdminRoleItem[]> {
  return axios.post('/api/admin/sys/role/list_to_admin', {});
}
interface SetRoleParams {
  id: string;
  defaultRole: boolean;
}
export function setRoleDefault(params: SetRoleParams) {
  return axios.post('/api/admin/sys/role/builtin', {}, { params });
}

// scan-log-manage
export function scanLogListPage(params: ScanLogParams): Promise<ScanLogRes> {
  return axios.post('/api/scan/log/list', {}, { params });
}
