import { PageResult, PageParams } from './common';

export interface SchoolItem {
  id: string;
  name: string;
  code: string;
}

// role
export interface AdminRoleItem {
  id: string;
  updateId: string;
  updateTime: number;
  name: string;
  enable: boolean;
  type: string;
  defaultRole: boolean;
  source: string;
  interpret: string;
}

// scan-log
export interface ScanLogItem {
  schoolCode: string;
  deviceCode: string;
  fileName: string;
  type: 'NORMAL' | 'OTHER';
  md5: string;
  loginName: string;
  path: string;
  uploadTime: number;
  pathUrl: string;
}
export type ScanLogRes = PageResult<ScanLogItem>;
export type ScanLogParams = PageParams<{
  schoolCode: string;
  loginName: string;
}>;
