export interface LoginData {
  loginName: string;
  password: string;
}

export interface UpdatePwdData {
  id: string;
  oldPassword: string;
  verifyCode?: string;
  mobileNumber?: string;
  password?: string;
}

export type UserMenuPrivilegeEnum =
  | 'conditions'
  | 'buttons'
  | 'lists'
  | 'links';
export interface UserMenuItem {
  id: string;
  name: string;
  url: string;
  type: string;
  parentId: string;
  sequence: number;
  enable: boolean;
  conditions?: UserMenuItem[];
  buttons?: UserMenuItem[];
  lists?: UserMenuItem[];
  links?: UserMenuItem[];
}
export interface UserMenuRes {
  userId: string;
  privileges: UserMenuItem[];
}
