import axios from 'axios';
import { UserState } from '@/store/modules/user/types';
import type { LoginData, UpdatePwdData, UserMenuRes } from './types/user';

export function login(data: LoginData): Promise<UserState> {
  return axios.post('/api/admin/sys/user/login', data);
}

export function updatePwd(datas: UpdatePwdData): Promise<UserState> {
  return axios.post('/api/admin/sys/user/update_password', datas);
}

export function userLogout() {
  return axios.post('/api/admin/sys/user/logout', {});
}

export function sysMenu(): Promise<UserMenuRes> {
  return axios.post('/api/admin/sys/user/get_menu', {});
}
