import { AppRouteRecordRaw } from '../types';

const ADMIN: AppRouteRecordRaw = {
  path: '/admin',
  component: () => import('@/views/admin/index.vue'),
  children: [
    {
      path: 'system-role-manage',
      name: 'SystemRoleManage',
      component: () => import('@/views/admin/system-role-manage/index.vue'),
      meta: {
        title: '角色管理',
        requiresAuth: true,
      },
    },
    {
      path: 'scan-log-manage',
      name: 'ScanLogManage',
      component: () => import('@/views/admin/scan-log-manage/index.vue'),
      meta: {
        title: '扫描日志管理',
        requiresAuth: true,
      },
    },
  ],
};

export default ADMIN;
