import type { UserMenuItem } from '@/api/types/user';

export type PrivilegeItem = Pick<
  UserMenuItem,
  'id' | 'name' | 'type' | 'url' | 'parentId'
>;

export type AppMenuItem = { children: AppMenuItem[] } & PrivilegeItem;

export interface AppState {
  version: string;
  privilegeMap: Record<string, string[]>;
  appMenus: AppMenuItem[];
  privilegeList: PrivilegeItem[];
  validRoutes: string[];
}
